MoW = {}
MoW.Version = "1.0"
MoW.Alpha = 0.5
MoW.CadreWidth = 5

local _debug_ = 0

local Addon_Loaded = false

--[[
\195\160=,
\195\161=,
\195\162=,
\195\163=,
\195\164=,
\195\165=,
\195\166=,
\195\167=,
\195\168=,
\195\169=,
\195\170=,
\195\171=,
\195\172=,
\195\173=,
\195\174=,
\195\175=,
]]


--[[-------------------------------------------------------------------------------------------------------------

  Initialisation & Event

---------------------------------------------------------------------------------------------------------------]]

-- Binding Variables
BINDING_HEADER_MOW = "MoW"
BINDING_NAME_MOWCADREROUGE = "Cadre rouge"
BINDING_NAME_MOWCADREVERT = "Cadre Vert"

-- On Load -------------------------------------------
function MoW_OnLoad()
	Addon_Loaded = false
	this:RegisterEvent("ADDON_LOADED")
	this:RegisterEvent("VARIABLES_LOADED")
	this:RegisterEvent("PLAYER_ENTERING_WORLD")
end


-- On Events -------------------------------------------
function MoW_OnEvent()
	if(event=="ADDON_LOADED" and arg1=="MoW") then

		SlashCmdList["MoW"] = function(msg) MoW_SlashHandler(msg) end
		SLASH_MoW1 = "/MoW"

	elseif event == "VARIABLES_LOADED" then
		if (Addon_Loaded == false) then

			local s = "MoW v " .. MoW.Version .. " charg\195\169."
			MoW_Chat(s)
		end

	elseif event == "PLAYER_ENTERING_WORLD" then
		if (Addon_Loaded == false) then
			Addon_Loaded = true
			MoW_ShowCadre()
		end

	end

end

-- Gestion des commandes "/" -------------------------------------------
function MoW_SlashHandler(msg)
	local msg = strlower(msg)

	if (msg == "")  then
		local s = "MoW v " .. MoW.Version
		MoW_Chat(s)
	else
		local s = "MoW v " .. MoW.Version
		MoW_Chat(s)
	end
end

--[[-------------------------------------------------------------------------------------------------------------

  Fonctions gnrales

---------------------------------------------------------------------------------------------------------------]]

-- Affichage chat -------------------------------------------
function MoW_Chat(msg, showHeader)
	if not msg then msg = "" end

	if not (showHeader) then showHeader = 0 end
	if (showHeader == 1) then msg = "MoW - " .. msg end

	if( DEFAULT_CHAT_FRAME ) then
		DEFAULT_CHAT_FRAME:AddMessage(msg, 0.0, 1.0, 0.0)
	end
end

--[[-------------------------------------------------------------------------------------------------------------

  Gestion du cadre

---------------------------------------------------------------------------------------------------------------]]
function MoW_ShowCadre()
        Cadre:SetBackdrop({bgFile = "",
                           edgeFile = "Interface/Tooltips/UI-Tooltip-Background",
                           tile = false,
                           edgeSize = MoW.CadreWidth,
                           });
        MoW_SetCadreRed()
end

function MoW_SetCadreGreen()
	Cadre:SetBackdropBorderColor(0,1,0,MoW.Alpha)
end

function MoW_SetCadreRed()
	Cadre:SetBackdropBorderColor(1,0,0,MoW.Alpha)
end
